Wide Studio Object Reference

Wide Studio Home
Up to

## Class name

WSClist

## Properties

Properties of the class: WSClist are as follows.

Type | Property Name | Supplement | Default

unsigned char | WSNitemHeight | Item Height | 20

short | WSNiconPixmap | Icon pixmap |

WSCbool | WSNuseIcon | Use icon | 0

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

unsigned char | WSNfont | Font No. | 0

short | WSNselectColor | Select color | DEF7

short | WSNselectForeColor | Select fore color | DEF18

unsigned char | WSNtype | Type | 0

| Normal | ( 0 ) |

| Tree | ( 1 ) |

| Detail | ( 2 ) |

WSCbool | WSNmultiSelect | Multi selection | 0

WSCbool | WSNreverseSelect | Reverse select | 1

| Off | False ( 0 ) |

| On | True ( 1 ) |

unsigned char | WSNtitleHeight | Title height | 0

char* | WSNtitleString | Title string | title

char* | WSNbarValue | Bar position | 20

char* | WSNdata | Data |

unsigned char | WSNdataSource | DataSource | 0

| None | ( 0 ) |

| Instance | ( 1 ) |

| File | ( 2 ) |

char* | WSNdataSourceName | DataSourceName |

WSCbool | WSNenableInput | Enable input | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

char* | WSNseparator | Separator | ,

unsigned short | WSNbarThickness | Bar thickness | 16

unsigned short | WSNworkWidth | Work width | 1000

unsigned short | WSNworkHeight | Work height | 1000

unsigned short | WSNhbarValue | Horizontal bar position | 0

unsigned short | WSNvbarValue | Vertical bar position | 0

unsigned short | WSNincrement | Increment | 10

unsigned short | WSNpageIncrement | Page increment | 100

WSCbool | WSNhbarVisible | H. bar visibility | 0

| Invisible | False ( 0 ) |

| Visible | True ( 1 ) |

WSCbool | WSNvbarVisible | V. bar visibility | 1

| Invisible | False ( 0 ) |

| Visible | True ( 1 ) |

short | WSNworkBackColor | Work background | DEF11

short | WSNbarShadowColor | Bar shadow color | DEF12

unsigned short | WSNscrollWidth | Scroll width | 30

unsigned char | WSNmargin | Margin | 4

WSCbool | WSNvirtualScroll | Virtual scroll | 0

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

WSCbool | WSNframe | Frame | 1

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

char* | WSNname | Name |

char* | WSNuserString | User string |

long | WSNuserValue | User value | 0

short | WSNx | X | 100

short | WSNy | Y | 100

unsigned short | WSNwidth | Width | 100

unsigned short | WSNheight | Height | 30

unsigned char | WSNshadowThickness | Shadow thickness | 2

short | WSNforeColor | Foreground | DEF2

short | WSNbackColor | Background | DEF1

short | WSNtopShadowColor | Top shadow color | DEF3

short | WSNbottomShadowColor | Bottom shadow color | DEF4

short | WSNbackPixmap | Back pixmap |

WSCbool | WSNvis | Visibility | 0

| Invisible | False ( 0 ) |

| Visible | True ( 1 ) |

WSCbool | WSNdet | Sensitivity | 1

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

unsigned char | WSNpixmapStyle | Pixmap style | 0

| Window | WS_DIRECT_WINDOW ( 0 ) |

| Dynamic pixmap | WS_DYNAMIC_PIXMAP ( 1 ) |

unsigned short | WSNmouse | Mouse No. | 0

unsigned short | WSNanchorTop | AnchorTop | 0

unsigned short | WSNanchorBottom | AnchorBottom | 0

unsigned short | WSNanchorLeft | AnchorLeft | 0

unsigned short | WSNanchorRight | AnchorRight | 0

WSCbool | WSNanchorTopFlag | AnchorTopFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorBottomFlag | AnchorBottomFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorLeftFlag | AnchorLeftFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorRightFlag | AnchorRightFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNexport | Export | 0

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

## Specification of properties

- WSNitemHeight
  Function
    Spesifies the Item Height.
  Notice

- WSNiconPixmap
  Function
    Spesifies the Icon pixmap.
  Notice

- WSNuseIcon
  Function
    Spesifies the Use icon.
  Notice

- WSNfont
  Function
    Spesifies the Font No..
  Notice

- WSNselectColor
  Function
    Spesifies the Select color.
  Notice

- WSNselectForeColor
  Function
    Spesifies the Select fore color.
  Notice

- WSNtype
  Function
    Spesifies the Type.
  Notice

- WSNmultiSelect
  Function
    Spesifies the Multi selection.
  Notice

- WSNreverseSelect
  Function
    Spesifies the Reverse select.
  Notice

- WSNtitleHeight
  Function
    Spesifies the Title height.
  Notice

- WSNtitleString
  Function
    Spesifies the Title string.
  Notice

- WSNbarValue
  Function
    Spesifies the Bar position.
  Notice

- WSNdata
  Function
    Spesifies the Data.
  Notice

- WSNdataSource
  Function
    Spesifies the DataSource.
  Notice

- WSNdataSourceName
  Function
    Spesifies the DataSourceName.
  Notice

- WSNenableInput
  Function
    Spesifies the Enable input.
  Notice

- WSNseparator
  Function
    Spesifies the Separator.
  Notice

- WSNbarThickness
  Function
    Spesifies the Bar thickness.
  Notice

- WSNworkWidth
  Function
    Spesifies the Work width.
  Notice

- WSNworkHeight
  Function
    Spesifies the Work height.
  Notice

- WSNhbarValue
  Function
    Spesifies the Horizontal bar position.
  Notice

- WSNvbarValue
  Function
    Spesifies the Vertical bar position.
  Notice

- WSNincrement
  Function
    Spesifies the Increment.
  Notice

- WSNpageIncrement
  Function
    Spesifies the Page increment.
  Notice

- WSNhbarVisible
  Function
    Spesifies the H. bar visibility.
  Notice

- WSNvbarVisible
  Function
    Spesifies the V. bar visibility.
  Notice

- WSNworkBackColor
  Function
    Spesifies the Work background.
  Notice

- WSNbarShadowColor
  Function
    Spesifies the Bar shadow color.
  Notice

- WSNscrollWidth
  Function
    Spesifies the Scroll width.
  Notice

- WSNmargin
  Function
    Spesifies the Margin.
  Notice

- WSNvirtualScroll
  Function
    Spesifies the Virtual scroll.
  Notice

- WSNframe
  Function
    Spesifies the Frame.
  Notice

- WSNname
  Function
    Spesifies the Name.
  Notice

- WSNuserString
  Function
    Spesifies the User string.
  Notice

- WSNuserValue
  Function
    Spesifies the User value.
  Notice

- WSNx
  Function
    Spesifies the X.
  Notice

- WSNy
  Function
    Spesifies the Y.
  Notice

- WSNwidth
  Function
    Spesifies the Width.
  Notice

- WSNheight
  Function
    Spesifies the Height.
  Notice

- WSNshadowThickness
  Function
    Spesifies the Shadow thickness.
  Notice

- WSNforeColor
  Function
    Spesifies the Foreground.
  Notice

- WSNbackColor
  Function
    Spesifies the Background.
  Notice

- WSNtopShadowColor
  Function
    Spesifies the Top shadow color.
  Notice

- WSNbottomShadowColor
  Function
    Spesifies the Bottom shadow color.
  Notice

- WSNbackPixmap
  Function
    Spesifies the Back pixmap.
  Notice

- WSNvis
  Function
    Spesifies the Visibility.
  Notice

- WSNdet
  Function
    Spesifies the Sensitivity.
  Notice

- WSNpixmapStyle
  Function
    Spesifies the Pixmap style.
  Notice

- WSNmouse
  Function
    Spesifies the Mouse No..
  Notice

- WSNanchorTop
  Function
    Spesifies the AnchorTop.
  Notice

- WSNanchorBottom
  Function
    Spesifies the AnchorBottom.
  Notice

- WSNanchorLeft
  Function
    Spesifies the AnchorLeft.
  Notice

- WSNanchorRight
  Function
    Spesifies the AnchorRight.
  Notice

- WSNanchorTopFlag
  Function
    Spesifies the AnchorTopFlag.
  Notice

- WSNanchorBottomFlag
  Function
    Spesifies the AnchorBottomFlag.
  Notice

- WSNanchorLeftFlag
  Function
    Spesifies the AnchorLeftFlag.
  Notice

- WSNanchorRightFlag
  Function
    Spesifies the AnchorRightFlag.
  Notice

- WSNexport
  Function
    Spesifies the Export.
  Notice

Document Release 3.70
For Use with Wide Studio Release 3.70, Spring 2004

Wide Stuido Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004